//File formule.h
// calcola le permutazioni di N oggetti
long permutazioni(int N);
// calcola le combinazioni di N oggetti a gruppi di K
long combinazioni(int N, int K);
// calcola le disposizioni di N oggetti a gruppi di K
long disposizioni(int N, int K);

//File formule.cpp
#include "formule.h"
static long fattoriale(int x){
 int i;
 long f=1;
 for (i=1; i<=x; i++)
  f=f*i;
 return f;
}
static int potenza(int b, int e){
 int p = 1;
 while (e > 0){
  p = p*b;
  e--;
 }
 return p;
}
long combinazioni(int n, int k) {
 long c = fattoriale(n)/(fattoriale(k)*fattoriale(n-k));
 return c;
}
long permutazioni(int n){
 return fattoriale(n);
}
long disposizioni(int n, int k) {
 long d = potenza(n,k);
 return d;
}
